/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing HandleValueForUpdateDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class HandleValueForUpdateDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for HandleValueForUpdateDto
        //private HandleValueForUpdateDto instance;

        public HandleValueForUpdateDtoTests()
        {
            // TODO uncomment below to create an instance of HandleValueForUpdateDto
            //instance = new HandleValueForUpdateDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of HandleValueForUpdateDto
        /// </summary>
        [Fact]
        public void HandleValueForUpdateDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" HandleValueForUpdateDto
            //Assert.IsType<HandleValueForUpdateDto>(instance);
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'ParsedData'
        /// </summary>
        [Fact]
        public void ParsedDataTest()
        {
            // TODO unit test for the property 'ParsedData'
        }

        /// <summary>
        /// Test the property 'Idx'
        /// </summary>
        [Fact]
        public void IdxTest()
        {
            // TODO unit test for the property 'Idx'
        }
    }
}
